public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/simdjson/
Date: Sat, 24 Feb 2024 00:01:42 +0000 (UTC)	[thread overview]
Message-ID: <1708732899.0671a4db0eb80a8ed89e931e49ca142878e02a72.chutzpah@gentoo> (raw)

commit:     0671a4db0eb80a8ed89e931e49ca142878e02a72
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 24 00:01:20 2024 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Sat Feb 24 00:01:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0671a4db

dev-libs/simdjson: add 3.7.0

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-libs/simdjson/Manifest              |   1 +
 dev-libs/simdjson/simdjson-3.7.0.ebuild | 102 ++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/dev-libs/simdjson/Manifest b/dev-libs/simdjson/Manifest
index ed816c9215f0..81e18b1fe3e1 100644
--- a/dev-libs/simdjson/Manifest
+++ b/dev-libs/simdjson/Manifest
@@ -1,3 +1,4 @@
 DIST simdjson-3.6.3.gh.tar.gz 2302220 BLAKE2B c46eeb8a07460cc5427fc35714fd262069cd3d913732e6037d808281d0fed0e82e0423dfd16abaeb515264559fe4454c42f81211354723eb21b212decfe7834b SHA512 b9fa7e554ded4e6cbe9d70ee29aa5b582e58b8b2ada1a781e58746082bb7d31791a4e2ea8b43d9391d783e61e489554f260448029c0b7e730cc69dc44f4aa86a
 DIST simdjson-3.6.4.gh.tar.gz 2301736 BLAKE2B 512effe54c6d36e31c95983cd9bd2ddb000c979c5050cb0c4b8ae2eae743ec50720e15ccf8b457b085d7d5bea24e0a0f793cba97a0af35dedbe59cab105ab2b9 SHA512 30dbc39166f092808d8642a2e4ca37c10999c511aa90e349409b3f4765c638498070ed9ed53ec7bfda9a9442557c7407ee0468a0845d53346d4a990f6d8c3c5b
+DIST simdjson-3.7.0.gh.tar.gz 2309580 BLAKE2B 8689169aaaa5a81056524fe3677ff85026173ccec802ddf96bfc993537645537c9116ca3086a35fe31685c67a51745d3b6d70daaa96064f8b09d831aec7cc2bb SHA512 b642327bebc81ecd59debcc8439983db5e1875895987c9939b629b4b0e3432b19691d8ebbf43b57f437d2914ec45250b6abe4d48be5e2a85b863145b8789457e
 DIST simdjson-data-a5b13babe65c1bba7186b41b43d4cbdc20a5c470.tar.gz 6635706 BLAKE2B 563376147f18d590a176a5a0398365db1a3e677b773c018f335efa7fff05ac22ac5dc37613792082a32e6c9b91a773a590f7dfd15efa5ba660f9142b128b28a7 SHA512 168198404b11b8c76ff4f53645d7b5a88a5c72b4a5b6646b4410859ec3416ae9b37fc59f7d2f014ccc785615ea5c31dc00b145dbb1a7acb701b94029dd4ea1e1

diff --git a/dev-libs/simdjson/simdjson-3.7.0.ebuild b/dev-libs/simdjson/simdjson-3.7.0.ebuild
new file mode 100644
index 000000000000..1755f239d7c2
--- /dev/null
+++ b/dev-libs/simdjson/simdjson-3.7.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs cmake
+
+DATA_HASH="a5b13babe65c1bba7186b41b43d4cbdc20a5c470"
+DESCRIPTION="SIMD accelerated C++ JSON library"
+HOMEPAGE="
+	https://simdjson.org/
+	https://github.com/simdjson/simdjson
+"
+SRC_URI="
+	https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+	test? ( https://github.com/${PN}/${PN}-data/archive/${DATA_HASH}.tar.gz -> ${PN}-data-${DATA_HASH}.tar.gz )
+"
+
+LICENSE="Apache-2.0 Boost-1.0 BSD MIT"
+SLOT="0/20"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="+all-impls test tools"
+
+BDEPEND="
+	sys-apps/file
+	sys-apps/grep
+	virtual/pkgconfig
+"
+DEPEND="
+	tools? ( <dev-libs/cxxopts-3.1:= )
+"
+
+REQUIRED_USE="test? ( tools )"
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+	"${FILESDIR}/simdjson-1.0.0-dont-bundle-cxxopts.patch"
+	"${FILESDIR}/simdjson-0.9.0-tests.patch"
+	"${FILESDIR}/simdjson-1.0.0-dont-fetch-data-tarball.patch"
+	"${FILESDIR}/simdjson-1.0.0-install-tools.patch"
+	"${FILESDIR}/simdjson-3.1.7-tests.patch"
+)
+
+DOCS=(
+	AUTHORS
+	CONTRIBUTING.md
+	CONTRIBUTORS
+	HACKING.md
+	README.md
+)
+
+src_prepare() {
+	if use test; then
+		mv "${WORKDIR}/${PN}-data-${DATA_HASH}" "${S}/dependencies/${PN}-data" || die
+	fi
+
+	sed -e 's:-Werror ::' -i cmake/developer-options.cmake || die
+	sed -e '/Werror/ d ; /Werror/ d ' -i tests/ondemand/compilation_failure_tests/CMakeLists.txt || die
+	sed -e "s:^c++ :$(tc-getCXX) :" -i singleheader/README.md || die
+	mv tools/{,simd}jsonpointer.cpp || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSIMDJSON_ENABLE_THREADS:BOOL=ON
+	)
+	use test && mycmakeargs+=(
+		-DSIMDJSON_TESTS:BOOL=ON
+	)
+
+	if use tools; then
+		mycmakeargs+=(
+			-DSIMDJSON_DEVELOPER_MODE:BOOL=ON
+			-DSIMDJSON_ALLOW_DOWNLOADS:BOOL=OFF
+			-DSIMDJSON_GOOGLE_BENCHMARKS:BOOL=OFF
+			-DSIMDJSON_COMPETITION:BOOL=OFF
+			-DSIMDJSON_TOOLS:BOOL=ON
+		)
+	elif ! use test; then
+		mycmakeargs+=(
+			-DSIMDJSON_DEVELOPER_MODELBOOL=OFF
+		)
+	fi
+
+	if use all-impls; then
+		local -a impls=("fallback")
+		if use amd64 || use x86; then
+			impls+=("westmere" "haswell" "icelake")
+		elif use arm64; then
+			impls+=("arm64")
+		elif use ppc64; then
+			impls+=("ppc64")
+		fi
+
+		mycmakeargs+=(
+			-DSIMDJSON_IMPLEMENTATION:STRING=$(printf '%s;' "${impls[@]}")
+		)
+	fi
+
+	cmake_src_configure
+}


             reply	other threads:[~2024-02-24  0:01 UTC|newest]

Thread overview: 89+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-24  0:01 Patrick McLean [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-02 11:22 [gentoo-commits] repo/gentoo:master commit in: dev-libs/simdjson/ Jakov Smolić
2024-07-29 19:39 Arthur Zamarin
2024-07-29 19:37 Arthur Zamarin
2024-07-17  4:38 Viorel Munteanu
2024-06-26  5:43 Arthur Zamarin
2024-06-25 23:16 Sam James
2024-06-13 19:48 Patrick McLean
2024-05-30 18:41 Arthur Zamarin
2024-05-30 17:25 Patrick McLean
2024-05-30 17:25 Patrick McLean
2024-05-24 19:01 Patrick McLean
2024-05-24  2:46 Ionen Wolkens
2024-05-12 11:13 Yixun Lan
2024-04-05 20:50 Patrick McLean
2024-04-05 17:37 Patrick McLean
2024-04-05 17:36 Patrick McLean
2024-02-07 18:38 Patrick McLean
2024-02-07 18:38 Patrick McLean
2024-02-07 18:38 Patrick McLean
2023-12-08 18:55 Patrick McLean
2023-12-04 20:25 Patrick McLean
2023-12-04 20:25 Patrick McLean
2023-10-28  2:01 Patrick McLean
2023-10-26 17:46 Patrick McLean
2023-09-20 16:54 Patrick McLean
2023-09-20 16:54 Patrick McLean
2023-08-22 18:11 Patrick McLean
2023-08-07 21:26 Patrick McLean
2023-07-07  6:07 Patrick McLean
2023-07-07  6:06 Patrick McLean
2023-07-07  6:06 Patrick McLean
2023-06-15 19:03 Patrick McLean
2023-06-15 19:03 Patrick McLean
2023-04-27 22:01 Patrick McLean
2023-03-14 17:33 Patrick McLean
2023-03-13 18:19 Patrick McLean
2023-03-13 18:19 Patrick McLean
2023-03-02 21:24 Patrick McLean
2023-03-02 21:24 Patrick McLean
2023-03-02 21:24 Patrick McLean
2023-02-14 21:28 Patrick McLean
2023-02-07 17:52 Patrick McLean
2023-01-26 18:44 Patrick McLean
2023-01-26 18:44 Patrick McLean
2023-01-13 10:16 Arthur Zamarin
2022-10-28 11:02 Sam James
2022-10-07 22:55 Patrick McLean
2022-08-01 19:03 Patrick McLean
2022-07-20  0:42 Patrick McLean
2022-06-30 21:35 Patrick McLean
2022-06-30 16:29 Patrick McLean
2022-06-30 16:29 Patrick McLean
2022-06-30 16:23 Patrick McLean
2022-06-16 16:01 Patrick McLean
2022-06-02 21:13 Patrick McLean
2022-06-02 16:02 Patrick McLean
2022-06-02 15:55 Patrick McLean
2022-05-26 21:21 Patrick McLean
2022-05-25 17:26 Patrick McLean
2022-05-18  1:22 Patrick McLean
2022-01-06 10:39 David Seifert
2021-10-28  0:55 Patrick McLean
2021-10-21 16:19 Patrick McLean
2021-10-05 20:57 Patrick McLean
2021-09-08 18:25 Patrick McLean
2021-09-08 18:25 Patrick McLean
2021-08-02 23:15 Patrick McLean
2021-06-07 18:19 Patrick McLean
2021-05-28  1:40 Patrick McLean
2021-05-22  7:42 Patrick McLean
2021-05-17  2:37 Sam James
2021-05-15 17:47 Patrick McLean
2021-04-16 22:06 Patrick McLean
2021-04-01 17:26 Patrick McLean
2021-04-01 17:26 Patrick McLean
2021-03-21  2:51 Patrick McLean
2021-02-11 17:41 Patrick McLean
2021-01-28 19:00 Patrick McLean
2021-01-28 19:00 Patrick McLean
2020-12-14 19:41 Patrick McLean
2020-12-07 18:20 Patrick McLean
2020-12-05 23:41 Patrick McLean
2020-12-05  0:34 Patrick McLean
2020-11-04 23:40 Patrick McLean
2020-10-30 17:33 Patrick McLean
2020-10-29  5:13 Sam James
2020-10-29  5:13 Sam James
2020-10-28 23:28 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1708732899.0671a4db0eb80a8ed89e931e49ca142878e02a72.chutzpah@gentoo \
    --to=chutzpah@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox